STOFFTextListener.cxx File Reference

Implements STOFFTextListener: the libstoff word processor listener. More...

`#include <cstring>`
`#include <iomanip>`
`#include <set>`
`#include <sstream>`
`#include <time.h>`
`#include <librevenge/librevenge.h>`
`#include "libstaroffice_internal.hxx"`
`#include "STOFFCell.hxx"`
`#include "STOFFFont.hxx"`
`#include "STOFFFrameStyle.hxx"`
`#include "STOFFGraphicStyle.hxx"`
`#include "STOFFGraphicShape.hxx"`
`#include "STOFFInputStream.hxx"`
`#include "STOFFList.hxx"`
`#include "STOFFPageSpan.hxx"`
`#include "STOFFParagraph.hxx"`
`#include "STOFFParser.hxx"`
`#include "STOFFPosition.hxx"`
`#include "STOFFSection.hxx"`
`#include "STOFFSubDocument.hxx"`
`#include "STOFFTable.hxx"`
`#include "STOFFTextListener.hxx"`

## Classes

struct | STOFFTextListenerInternal::TextState
| a class to store the document state of a STOFFTextListener More...
struct | STOFFTextListenerInternal::State
| the state of a STOFFTextListener More...

## Namespaces

namespace | STOFFTextListenerInternal
| Internal and low level namespace to define the states of STOFFTextListener.

## Enumerations

enum | { STOFFTextListenerInternal::PageBreakBit =0x1 , STOFFTextListenerInternal::ColumnBreakBit =0x2 }
| a enum to define basic break bit More...

## Detailed Description

Implements STOFFTextListener: the libstoff word processor listener.

Note
  this class is the only class which does the interface with the librevenge::RVNGTextInterface